
From: William Lee Irwin III <wli@holomorphy.com>

I just realized this can all be done in one line by setting the initial
value of ret to VM_FAULT_MINOR in do_no_page(). The ->nopage() methods
not updated will give off compiler warnings and since they think their
third arguments are ordinary integers, they won't update the referenced
content, and the initializer of VM_FAULT_MINOR then comes into play.



 mm/memory.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/memory.c~pagefault_accounting-fix-fix-fix-fix mm/memory.c
--- 25/mm/memory.c~pagefault_accounting-fix-fix-fix-fix	2003-11-19 18:32:26.000000000 -0800
+++ 25-akpm/mm/memory.c	2003-11-19 18:32:26.000000000 -0800
@@ -1417,7 +1417,7 @@ do_no_page(struct mm_struct *mm, struct 
 	pte_t entry;
 	struct pte_chain *pte_chain;
 	int sequence = 0;
-	int ret;
+	int ret = VM_FAULT_MINOR;
 
 	if (!vma->vm_ops || !vma->vm_ops->nopage)
 		return do_anonymous_page(mm, vma, page_table,

_
